package com.persagy.dmp.rwd.migrate.service;

import java.util.List;

/**
 * 数字孪生 数据迁移接口
 * @author Charlie Yu
 * @date 2021-08-04
 */
public interface IDigitalMigrateService {

    /**
     * 启动数据迁移
     * @param groupCodes 指定集团编码 - 为空表示不限集团
     * @param projectIds 指定项目ID - 为空表示不限项目
     * @param orgUrl 数据中台组织服务url前缀（不含最后的/)
     * @param oldSchema 数据中台使用的数据库实例
     */
    void startMigrate(List<String> groupCodes, List<String> projectIds, String orgUrl, String oldSchema);
}
